summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-04-14 13:19:26 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-04-14 15:26:43 +0000
commit7502c2c31cdcedaa9b4c37241d81e3fb285a3895 (patch)
tree9cbcaed32989572b1640e2c1145eff213ce53cb2
parentc57d28a6b40980cf23ae2bdca1e705c0763c8eee (diff)
downloaddefinitions-7502c2c31cdcedaa9b4c37241d81e3fb285a3895.tar.gz
openstack-network: Add configuration extension
Change-Id: Id18fbf695544820647b646f69be794f630981dd8
-rw-r--r--openstack-network.configure37
-rw-r--r--systems/openstack-server.morph1
2 files changed, 38 insertions, 0 deletions
diff --git a/openstack-network.configure b/openstack-network.configure
new file mode 100644
index 00000000..a4d43a6a
--- /dev/null
+++ b/openstack-network.configure
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Copyright (C) 2014-2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+ROOT="$1"
+
+ln -sf "/usr/lib/systemd/system/openvswitch-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openvswitch-setup.service"
+
+ln -sf "/usr/lib/systemd/system/openstack-network-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openstack-network-setup.service"
+
+python <<'EOF' >"$ROOT/etc/openstack/network.conf"
+import os, sys, yaml
+
+network_configuration = {}
+
+optional_keys = ('EXTERNAL_INTERFACE',)
+
+network_configuration.update((k, os.environ[k]) for k in optional_keys if k in os.environ)
+
+yaml.dump(network_configuration, sys.stdout, default_flow_style=False)
+EOF
diff --git a/systems/openstack-server.morph b/systems/openstack-server.morph
index 17c1bbff..64b5646b 100644
--- a/systems/openstack-server.morph
+++ b/systems/openstack-server.morph
@@ -67,3 +67,4 @@ configuration-extensions:
- openstack-glance
- openstack-cinder
- openstack-nova
+- openstack-network